eoVlAtomExchangeQuadOp(3)

NAME
eoVlAtomExchangeQuadOp - Exchange Crossover using an AtomExchange.

SYNOPSIS

#include <eoVariableLengthCrossover.h>

Inherits eoQuadOp< EOT >.

  Public Types
typedef EOT::AtomType AtomType

  Public Member Functions
eoVlAtomExchangeQuadOp (unsigned _Min, unsigned _Max, eoAtomExchange< AtomType > &_atomExchange)
default ctor: requires bounds on number of genes + a rate
bool operator() (EOT &_eo1, EOT &_eo2)
The pure virtual function that needs to be implemented by the subclass.
virtual std::string className () const
the inherited className

  Private Attributes
unsigned Min
unsigned Max
eoAtomExchange< AtomType > & atomExchange

Detailed Description

  template<class EOT> class eoVlAtomExchangeQuadOp< EOT >
Exchange Crossover using an AtomExchange.

Definition at line 89 of file eoVariableLengthCrossover.h.

Author

Generated automatically by Doxygen for EO from the source code.